- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions | Variables
Ecore_WinCE library
Ecore

Ecore_WinCE is a library that wraps Windows CE graphic functions and integrate them nicely into the Ecore main loop. More...

## Data Structures
struct | _Ecore_WinCE_Event_Mouse_In
| Event sent when the mouse enters the window. More...
struct | _Ecore_WinCE_Event_Mouse_Out
| Event sent when the mouse leaves the window. More...
struct | _Ecore_WinCE_Event_Window_Focus_In
| Event sent when the window gets the focus. More...
struct | _Ecore_WinCE_Event_Window_Focus_Out
| Event sent when the window looses the focus. More...
struct | _Ecore_WinCE_Event_Window_Damage
| Event sent when the window is damaged. More...
struct | _Ecore_WinCE_Event_Window_Create
| Event sent when the window is created. More...
struct | _Ecore_WinCE_Event_Window_Destroy
| Event sent when the window is destroyed. More...
struct | _Ecore_WinCE_Event_Window_Hide
| Event sent when the window is hidden. More...
struct | _Ecore_WinCE_Event_Window_Show
| Event sent when the window is shown. More...
struct | _Ecore_WinCE_Event_Window_Delete_Request
| Event sent when the window is deleted. More...

## Typedefs
typedef struct _Ecore_WinCE_Window | Ecore_WinCE_Window
typedef struct _Ecore_WinCE_Event_Mouse_In | Ecore_WinCE_Event_Mouse_In
| Event sent when the mouse enters the window.
typedef struct _Ecore_WinCE_Event_Mouse_Out | Ecore_WinCE_Event_Mouse_Out
| Event sent when the mouse leaves the window.
typedef struct _Ecore_WinCE_Event_Window_Focus_In | Ecore_WinCE_Event_Window_Focus_In
| Event sent when the window gets the focus.
typedef struct _Ecore_WinCE_Event_Window_Focus_Out | Ecore_WinCE_Event_Window_Focus_Out
| Event sent when the window looses the focus.
typedef struct _Ecore_WinCE_Event_Window_Damage | Ecore_WinCE_Event_Window_Damage
| Event sent when the window is damaged.
typedef struct _Ecore_WinCE_Event_Window_Create | Ecore_WinCE_Event_Window_Create
| Event sent when the window is created.
typedef struct _Ecore_WinCE_Event_Window_Destroy | Ecore_WinCE_Event_Window_Destroy
| Event sent when the window is destroyed.
typedef struct _Ecore_WinCE_Event_Window_Hide | Ecore_WinCE_Event_Window_Hide
| Event sent when the window is hidden.
typedef struct _Ecore_WinCE_Event_Window_Show | Ecore_WinCE_Event_Window_Show
| Event sent when the window is shown.
typedef struct _Ecore_WinCE_Event_Window_Delete_Request | Ecore_WinCE_Event_Window_Delete_Request
| Event sent when the window is deleted.
typedef struct _Ecore_WinCE_Window | Ecore_WinCE_Window
| Abstract type for a window.

## Functions
EAPI int | ecore_wince_init ()
| Initialize the Ecore_WinCE library. More...
EAPI int | ecore_wince_shutdown ()
| Shut down the Ecore_WinCE library. More...
EAPI void | ecore_wince_double_click_time_set (double t)
| Set the timeout for a double and triple clicks to be flagged. More...
EAPI double | ecore_wince_double_click_time_get (void)
| Retrieve the double and triple click flag timeout. More...
EAPI long | ecore_wince_current_time_get (void)
| Return the last event time. More...
EAPI Ecore_WinCE_Window * | ecore_wince_window_new (Ecore_WinCE_Window *parent, int x, int y, int width, int height)
| Creates a new window. More...
EAPI void | ecore_wince_window_free (Ecore_WinCE_Window *window)
| Free the given window. More...
EAPI void * | ecore_wince_window_hwnd_get (Ecore_WinCE_Window *window)
| Return the window HANDLE associated to the given window. More...
EAPI void | ecore_wince_window_move (Ecore_WinCE_Window *window, int x, int y)
| Move the given window to a given position. More...
EAPI void | ecore_wince_window_resize (Ecore_WinCE_Window *window, int width, int height)
| Resize the given window to a given size. More...
EAPI void | ecore_wince_window_move_resize (Ecore_WinCE_Window *window, int x, int y, int width, int height)
| Move and resize the given window to a given position and size. More...
EAPI void | ecore_wince_window_show (Ecore_WinCE_Window *window)
| Show the given window. More...
EAPI void | ecore_wince_window_hide (Ecore_WinCE_Window *window)
| Hide the given window. More...
EAPI void | ecore_wince_window_title_set (Ecore_WinCE_Window *window, const char *title)
| Set the title of the given window. More...
EAPI void | ecore_wince_window_focus (Ecore_WinCE_Window *window)
| Set the focus to the given window. More...
EAPI void * | ecore_wince_window_focus_get (void)
| Get the current focused window. More...
EAPI void | ecore_wince_window_backend_set (Ecore_WinCE_Window *window, int backend)
| Set the graphic backend used for the given window. More...
EAPI void | ecore_wince_window_suspend_cb_set (Ecore_WinCE_Window *window, int(*suspend_cb)(int))
| Set the suspend callback used for the given window. More...
EAPI void | ecore_wince_window_resume_cb_set (Ecore_WinCE_Window *window, int(*resume_cb)(int))
| Set the resume callback used for the given window. More...
EAPI void | ecore_wince_window_geometry_get (Ecore_WinCE_Window *window, int *x, int *y, int *width, int *height)
| Get the geometry of the given window. More...
EAPI void | ecore_wince_window_size_get (Ecore_WinCE_Window *window, int *width, int *height)
| Get the size of the given window. More...
EAPI void | ecore_wince_window_fullscreen_set (Ecore_WinCE_Window *window, Eina_Bool on)
| Set the given window to fullscreen. More...

## Variables
EAPI int | ECORE_WINCE_EVENT_MOUSE_IN
| Ecore_Event for the Ecore_WinCE_Event_Mouse_In event.
EAPI int | ECORE_WINCE_EVENT_MOUSE_OUT
| Ecore_Event for the Ecore_WinCE_Event_Mouse_Out event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_FOCUS_IN
| Ecore_Event for the Ecore_WinCE_Event_Window_Focus_In event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_FOCUS_OUT
| Ecore_Event for the Ecore_WinCE_Event_Window_Focus_Out event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_DAMAGE
| Ecore_Event for the Ecore_WinCE_Event_Damage event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_CREATE
| Ecore_Event for the Ecore_WinCE_Event_Create event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_DESTROY
| Ecore_Event for the Ecore_WinCE_Event_Destroy event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_HIDE
| Ecore_Event for the Ecore_WinCE_Event_Hide event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_SHOW
| Ecore_Event for the Ecore_WinCE_Event_Show event.
EAPI int | ECORE_WINCE_EVENT_WINDOW_DELETE_REQUEST
| Ecore_Event for the Ecore_WinCE_Event_Window_Delete_Request event.

## Detailed Description

Ecore_WinCE is a library that wraps Windows CE graphic functions and integrate them nicely into the Ecore main loop.

## Function Documentation

EAPI int ecore_wince_init | ( |  | ) |

Initialize the Ecore_WinCE library.

Returns
  1 or greater on success, 0 on error.

This function sets up the Windows CE graphic system. It returns 0 on failure, otherwise it returns the number of times it has already been called.

When Ecore_WinCE is not used anymore, call ecore_wince_shutdown() to shut down the Ecore_WinCE library.

References ecore_event_type_new(), eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_log_print_cb_set(), and eina_shutdown().

EAPI int ecore_wince_shutdown | ( |  | ) |

Shut down the Ecore_WinCE library.

Returns
  0 when the library is completely shut down, 1 or greater otherwise.

This function shuts down the Ecore_WinCE library. It returns 0 when it has been called the same number of times than ecore_wince_init(). In that case it shuts down all the Windows CE graphic system.

References eina_log_domain_unregister(), and eina_shutdown().

EAPI void ecore_wince_double_click_time_set | ( | double | t | ) |

Set the timeout for a double and triple clicks to be flagged.

Parameters

  t | The time in seconds.

This function sets the time `t` between clicks before the double_click flag is set in a button down event. If 3 clicks occur within double this time, the triple_click flag is also set.

EAPI double ecore_wince_double_click_time_get | ( | void |  | ) |

Retrieve the double and triple click flag timeout.

Returns
  The timeout for double clicks in seconds.

This function returns the double clicks in seconds. If ecore_wince_double_click_time_set() has not been called, the default value is returned. See ecore_wince_double_click_time_set() for more informations.

EAPI long ecore_wince_current_time_get | ( | void |  | ) |

Return the last event time.

Returns
  The last envent time.

This function returns the last event time.

EAPI Ecore_WinCE_Window * ecore_wince_window_new | ( | Ecore_WinCE_Window * | parent,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

Creates a new window.

Parameters

  parent | The parent window.
  x | The x coordinate of the top-left corner of the window.
  y | The y coordinate of the top-left corner of the window.
  width | The width of the window.
  height | The height of hte window.

Returns
  A newly allocated window.

This function creates a new window which parent is `parent`. `width` and `height` are the size of the window content (the client part), without the border and title bar. `x` and `y` are the system coordinates of the top left cerner of the window (that is, of the title bar). This function returns a newly created window on success, and `NULL` on failure.

EAPI void ecore_wince_window_free | ( | Ecore_WinCE_Window * | window | ) |

Free the given window.

Parameters

  window | The window to free.

This function frees `window`. If `window` is `NULL`, this function does nothing.

EAPI void * ecore_wince_window_hwnd_get | ( | Ecore_WinCE_Window * | window | ) |

Return the window HANDLE associated to the given window.

Parameters

  window | The window to retrieve the HANDLE from.

This function returns the window HANDLE associated to `window`. If `window` is `NULL`, this function returns `NULL`.

EAPI void ecore_wince_window_move | ( | Ecore_WinCE_Window * | window,
|  | int | x,
|  | int | y
| ) |  |

Move the given window to a given position.

Parameters

  window | The window to move.
  x | The x coordinate of the destination position.
  y | The y coordinate of the destination position.

This function move `window` to the new position of coordinates `x` and `y`. If `window` is `NULL`, or if it is fullscreen, or on error, this function does nothing.

EAPI void ecore_wince_window_resize | ( | Ecore_WinCE_Window * | window,
|  | int | width,
|  | int | height
| ) |  |

Resize the given window to a given size.

Parameters

  window | The window to resize.
  width | The new width.
  height | The new height.

This function resize `window` to the new `width` and `height`. If `window` is `NULL`, or if it is fullscreen, or on error, this function does nothing.

EAPI void ecore_wince_window_move_resize | ( | Ecore_WinCE_Window * | window,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

Move and resize the given window to a given position and size.

Parameters

  window | The window to move and resize.
  x | The x coordinate of the destination position.
  y | The x coordinate of the destination position.
  width | The new width.
  height | The new height.

This function resize `window` to the new position of coordinates `x` and `y` and the new `width` and `height`. If `window` is `NULL`, or if it is fullscreen, or on error, this function does nothing.

EAPI void ecore_wince_window_show | ( | Ecore_WinCE_Window * | window | ) |

Show the given window.

Parameters

  window | The window to show.

This function shows `window`. If `window` is `NULL`, or on error, this function does nothing.

EAPI void ecore_wince_window_hide | ( | Ecore_WinCE_Window * | window | ) |

Hide the given window.

Parameters

  window | The window to show.

This function hides `window`. If `window` is `NULL`, or on error, this function does nothing.

EAPI void ecore_wince_window_title_set | ( | Ecore_WinCE_Window * | window,
|  | const char * | title
| ) |  |

Set the title of the given window.

Parameters

  window | The window to set the title.
  title | The new title.

This function sets the title of `window` to `title`. If `window` is `NULL`, or if `title` is `NULL` or empty, or on error, this function does nothing.

References evil_char_to_wchar().

EAPI void ecore_wince_window_focus | ( | Ecore_WinCE_Window * | window | ) |

Set the focus to the given window.

Parameters

  window | The window to give focus to.

This function gives the focus to `window`. If `window` is `NULL`, this function does nothing.

EAPI void * ecore_wince_window_focus_get | ( | void |  | ) |

Get the current focused window.

Returns
  The window that has focus.

This function returns the window that has focus. If the calling thread's message queue does not have an associated window with the keyboard focus, the return value is `NULL`.

Note
  Even if the returned value is `NULL`, another thread's queue may be associated with a window that has the keyboard focus.
  The returned value is of type HWND.

EAPI void ecore_wince_window_backend_set | ( | Ecore_WinCE_Window * | window,
|  | int | backend
| ) |  |

Set the graphic backend used for the given window.

Parameters

  window | The window.
  backend | The backend.

This function sets the graphic backend to use with `window` to `backend`. If `window` if `NULL`, this function does nothing.

The valid values for `backend` are

- 0: automatic choice of the backend.
- 1: the framebuffer (fast but could be not well suported).
- 2: GAPI (less fast but almost always supported).
- 3: DirectDraw (less fast than GAPI but almost always supported).
- 4: GDI (the slowest but always supported).

The `backend` is used only in Evas and Ecore_Evas. So this function should not be called if Ecore_Evas is used.

EAPI void ecore_wince_window_suspend_cb_set | ( | Ecore_WinCE_Window * | window,
|  | int(*)(int) | suspend_cb
| ) |  |

Set the suspend callback used for the given window.

Parameters

  window | The window.
  suspend_cb | The suspend callback.

This function sets the suspend callback to use with `window` to `suspend_cb`. If `window` if `NULL`, this function does nothing.

The `suspend_cb` is used only in Evas and Ecore_Evas. So this function should not be called if Ecore_Evas is used.

EAPI void ecore_wince_window_resume_cb_set | ( | Ecore_WinCE_Window * | window,
|  | int(*)(int) | resume_cb
| ) |  |

Set the resume callback used for the given window.

Parameters

  window | The window.
  resume_cb | The resume callback.

This function sets the resume callback to use with `window` to `resume_cb`. If `window` if `NULL`, this function does nothing.

The `resume_cb` is used only in Evas and Ecore_Evas. So this function should not be called if Ecore_Evas is used.

EAPI void ecore_wince_window_geometry_get | ( | Ecore_WinCE_Window * | window,
|  | int * | x,
|  | int * | y,
|  | int * | width,
|  | int * | height
| ) |  |

Get the geometry of the given window.

Parameters

  window | The window to retrieve the geometry from.
  x | The x coordinate of the position.
  y | The x coordinate of the position.
  width | The width.
  height | The height.

This function retrieves the position and size of `window`. `x`, `y`, `width` and `height` can be buffers that will be filled with the corresponding values. If one of them is `NULL`, nothing will be done for that parameter. If `window` is `NULL`, and if the buffers are not `NULL`, they will be filled with respectively 0, 0, the size of the screen and the height of the screen.

EAPI void ecore_wince_window_size_get | ( | Ecore_WinCE_Window * | window,
|  | int * | width,
|  | int * | height
| ) |  |

Get the size of the given window.

Parameters

  window | The window to retrieve the size from.
  width | The width.
  height | The height.

This function retrieves the size of `window`. `width` and `height` can be buffers that will be filled with the corresponding values. If one of them is `NULL`, nothing will be done for that parameter. If `window` is `NULL`, and if the buffers are not `NULL`, they will be filled with respectively the size of the screen and the height of the screen.

EAPI void ecore_wince_window_fullscreen_set | ( | Ecore_WinCE_Window * | window,
|  | Eina_Bool | on
| ) |  |

Set the given window to fullscreen.

Parameters

  window | The window.
  on | `EINA_TRUE` for fullscreen mode, `EINA_FALSE` for windowed mode.

This function set `window` to fullscreen or windowed mode. If `on` is set to `EINA_TRUE`, the window will be fullscreen, if it is set to `EINA_FALSE`, it will be windowed. If `window` is `NULL` or if the state does not change (like setting to fullscreen while the window is already fullscreen), this function does nothing.